// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"
)

// UserStateManager is an autogenerated mock type for the UserStateManager type
type UserStateManager struct {
	mock.Mock
}

// GetDefault provides a mock function with given fields: bot, userId
func (_m *UserStateManager) GetDefault(bot models.Bot, userId string) (*models.State, error) {
	ret := _m.Called(bot, userId)

	var r0 *models.State
	if rf, ok := ret.Get(0).(func(models.Bot, string) *models.State); ok {
		r0 = rf(bot, userId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.State)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(models.Bot, string) error); ok {
		r1 = rf(bot, userId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// SetNextState provides a mock function with given fields: bot, userId, trigger
func (_m *UserStateManager) SetNextState(bot models.Bot, userId string, trigger string) (*models.State, error) {
	ret := _m.Called(bot, userId, trigger)

	var r0 *models.State
	if rf, ok := ret.Get(0).(func(models.Bot, string, string) *models.State); ok {
		r0 = rf(bot, userId, trigger)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.State)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(models.Bot, string, string) error); ok {
		r1 = rf(bot, userId, trigger)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// SetNextStateByScenario provides a mock function with given fields: bot, userId, scenarioId
func (_m *UserStateManager) SetNextStateByScenario(bot models.Bot, userId string, scenarioId uint) (*models.State, error) {
	ret := _m.Called(bot, userId, scenarioId)

	var r0 *models.State
	if rf, ok := ret.Get(0).(func(models.Bot, string, uint) *models.State); ok {
		r0 = rf(bot, userId, scenarioId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.State)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(models.Bot, string, uint) error); ok {
		r1 = rf(bot, userId, scenarioId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
